LabVIEW

cancel
Showing results for 
Search instead for 
Did you mean: 

cRIO-9014 and NI-9403

Solved!
Go to solution

Hi everybody

I am working on cRIO-9014 and I want to program the FPGA target of the controller. I have installed LabVIEW 2018 32 bit, LabVIEW FPGA, LabVIEW Real Time and NI RIO driver. I created a blank project and added cRIO-9014 in the new target and device option. The problem is that I can't see the module under the Chassis in the Project Explorer as well as FPGA target and I can't select the programming mode. If I go on the properties of the chassis it says Unexpected Error.

I have attached pictures of MAX and error.

I hope someone can help me with this problem.

Regards,

Kaan

0 Kudos
Message 1 of 3
(222 Views)
Solution
Accepted by topic author kaan13

I am a little puzzled by your first screenshot. It does suggest that you have started LabVIEW 2019 (although you state differently), but you have installed only NI CompactRIO 18 on your cRIO. This combination will not work.

 

You would need compactRIO 19 in order to programm an cRIO-9014 with LabVIEW 2019. BUT according to the Readme of compactRIO 19.0 this version does not support your legacy cRIO-9014 anymore.

 

So LabVIEW 2018 will be the last version with wich you can programm that device.

 

Regards, Jens

Kudos are welcome...
0 Kudos
Message 2 of 3
(204 Views)

Sorry about the confusion. I wanted to state LabVIEW 2019 32 bit. I have installed the LabVIEW 2018 FPGA and other related modules as well. Now I can see the FPGA target and I am able to create VI on it.

Many thanks

0 Kudos
Message 3 of 3
(164 Views)